## raspberrypi-userland 0~20230913+gitcc1ca18

=== containers/binary/CMakeLists.txt ===
# Container module needs to go in as a plugins so different prefix
# and install path
set(CMAKE_SHARED_LIBRARY_PREFIX "")

# Make sure the compiler can find the necessary include files
include_directories (../..)

add_library(reader_binary ${LIBRARY_TYPE} binary_reader.c)

target_link_libraries(reader_binary containers)

install(TARGETS reader_binary DESTINATION ${VMCS_PLUGIN_DIR})

add_library(writer_binary ${LIBRARY_TYPE} binary_writer.c)

target_link_libraries(writer_binary containers)

install(TARGETS writer_binary DESTINATION ${VMCS_PLUGIN_DIR})

=== containers/dummy/CMakeLists.txt ===
# Container module needs to go in as a plugins so different prefix
# and install path
set(CMAKE_SHARED_LIBRARY_PREFIX "")

# Make sure the compiler can find the necessary include files
include_directories (../..)

add_library(writer_dummy ${LIBRARY_TYPE} dummy_writer.c)

target_link_libraries(writer_dummy containers)

install(TARGETS writer_dummy DESTINATION ${VMCS_PLUGIN_DIR})

=== containers/raw/CMakeLists.txt ===
# Container module needs to go in as a plugins so different prefix
# and install path
set(CMAKE_SHARED_LIBRARY_PREFIX "")

# Make sure the compiler can find the necessary include files
include_directories (../..)

add_library(reader_raw_video ${LIBRARY_TYPE} raw_video_reader.c)

target_link_libraries(reader_raw_video containers)

install(TARGETS reader_raw_video DESTINATION ${VMCS_PLUGIN_DIR})

add_library(writer_raw_video ${LIBRARY_TYPE} raw_video_writer.c)

target_link_libraries(writer_raw_video containers)

install(TARGETS writer_raw_video DESTINATION ${VMCS_PLUGIN_DIR})

=== containers/rtsp/CMakeLists.txt ===
# Container module needs to go in as a plugins so different prefix
# and install path
set(CMAKE_SHARED_LIBRARY_PREFIX "")

# Make sure the compiler can find the necessary include files
include_directories (../..)

set(rtsp_SRCS ${rtsp_SRCS} rtsp_reader.c)
add_library(reader_rtsp ${LIBRARY_TYPE} ${rtsp_SRCS})

target_link_libraries(reader_rtsp containers)

install(TARGETS reader_rtsp DESTINATION ${VMCS_PLUGIN_DIR})

=== containers/test/CMakeLists.txt ===
# Generate test application
add_executable(containers_test test.c)
target_link_libraries(containers_test -Wl,--no-whole-archive containers)
install(TARGETS containers_test DESTINATION bin)

# Generate test application
add_executable(containers_check_frame_int check_frame_int.c)
target_link_libraries(containers_check_frame_int -Wl,--no-whole-archive containers)
install(TARGETS containers_check_frame_int DESTINATION bin)

# Generate autotest application
#add_executable(containers_autotest autotest.cpp crc_32.c)
#target_link_libraries(containers_autotest -Wl,--no-whole-archive containers})
#install(TARGETS containers_autotest DESTINATION bin)

# Helper code to provide non-blocking console input
if (WIN32)
set( NB_IO_SOURCE nb_io_win32.c )
elseif (UNIX)
set( NB_IO_SOURCE nb_io_unix.c )
endif (WIN32)
set(extra_test_SRCS nb_io_win32.c autotest.cpp crc_32.c)
add_custom_target(containers_test_extra
    COMMAND touch ${extra_test_SRCS}
    WORKING_DIRECTORY ${PROJECT_SOURCE_DIR}/containers/test)
add_dependencies(containers_test containers_test_extra)

# Generate net test applications
add_executable(containers_stream_client stream_client.c ${NB_IO_SOURCE})
target_link_libraries(containers_stream_client containers)
install(TARGETS containers_stream_client DESTINATION bin)

add_executable(containers_stream_server stream_server.c)
target_link_libraries(containers_stream_server containers)
install(TARGETS containers_stream_server DESTINATION bin)

add_executable(containers_datagram_sender datagram_sender.c)
target_link_libraries(containers_datagram_sender containers)
install(TARGETS containers_datagram_sender DESTINATION bin)

add_executable(containers_datagram_receiver datagram_receiver.c)
target_link_libraries(containers_datagram_receiver containers)
install(TARGETS containers_datagram_receiver DESTINATION bin)

add_executable(containers_rtp_decoder rtp_decoder.c ${NB_IO_SOURCE})
target_link_libraries(containers_rtp_decoder containers)
install(TARGETS containers_rtp_decoder DESTINATION bin)

# Generate URI test application
add_executable(containers_test_uri test_uri.c)
target_link_libraries(containers_test_uri containers)
install(TARGETS containers_test_uri DESTINATION bin)

# Generate URI pipe application
add_executable(containers_uri_pipe uri_pipe.c ${NB_IO_SOURCE})
target_link_libraries(containers_uri_pipe containers)
install(TARGETS containers_uri_pipe DESTINATION bin)

# Generate bit stream test application
add_executable(containers_test_bits test_bits.c)
target_link_libraries(containers_test_bits containers)
install(TARGETS containers_test_bits DESTINATION bin)

# Generate packet file dump application
add_executable(containers_dump_pktfile dump_pktfile.c)
install(TARGETS containers_dump_pktfile DESTINATION bin)

=== host_applications/linux/CMakeLists.txt ===
# linux apps

add_subdirectory(libs/bcm_host)
add_subdirectory(apps/gencmd)
add_subdirectory(apps/tvservice)
add_subdirectory(apps/vcmailbox)
if(NOT ARM64)
   add_subdirectory(apps/raspicam)
   add_subdirectory(libs/sm)
   add_subdirectory(apps/smem)
endif()
add_subdirectory(libs/debug_sym)
add_subdirectory(apps/dtoverlay)
add_subdirectory(apps/dtmerge)

if(ALL_APPS)
 add_subdirectory(apps/vcdbg)
 add_subdirectory(libs/elftoolchain)
 # add_subdirectory(apps/smct)
 add_subdirectory(apps/edid_parser)
 add_subdirectory(apps/hello_pi)
endif()

=== interface/mmal/CMakeLists.txt ===
# We support building both static and shared libraries
if (NOT DEFINED LIBRARY_TYPE)
set(LIBRARY_TYPE SHARED)
endif (NOT DEFINED LIBRARY_TYPE)

add_definitions(-Wall -Werror)

add_library(mmal SHARED util/mmal_util.c)

add_subdirectory(core)
add_subdirectory(util)
add_subdirectory(vc)
add_subdirectory(components)
add_subdirectory(openmaxil)
add_subdirectory(client)

target_link_libraries(mmal mmal_core mmal_util mmal_vc_client vcos mmal_components)

install(TARGETS mmal DESTINATION lib)
install(FILES
   mmal.h
   mmal_buffer.h
   mmal_clock.h
   mmal_common.h
   mmal_component.h
   mmal_encodings.h
   mmal_events.h
   mmal_format.h
   mmal_logging.h
   mmal_parameters.h
   mmal_parameters_audio.h
   mmal_parameters_camera.h
   mmal_parameters_clock.h
   mmal_parameters_common.h
   mmal_parameters_video.h
   mmal_pool.h mmal_port.h
   mmal_queue.h
   mmal_types.h
   DESTINATION include/interface/mmal
)

# Test apps
if(BUILD_MMAL_APPS)
add_subdirectory(test)
endif(BUILD_MMAL_APPS)

=== interface/mmal/components/CMakeLists.txt ===
add_library(mmal_components ${LIBRARY_TYPE}
	    container_reader.c
	    null_sink.c
	    passthrough.c
	    scheduler.c
	    splitter.c
	    copy.c
	    artificial_camera.c
	    aggregator.c
	    clock.c
	    spdif.c
	   )

set(extra_components_SRCS avcodec_video_decoder.c avcodec_audio_decoder.c
    sdl_video_render.c sdl_audio_render.c aaf_audio_render.cpp android_media_codec.cpp)

#target_link_libraries(mmal_components avcodec avutil)
#target_link_libraries(mmal_components SDL)
#if (WIN32)
#target_link_libraries(mmal_components avcore avutil z) # For avcodec
#target_link_libraries(mmal_components gdi32 winmm) # For SDL
#endif (WIN32)

add_custom_target(mmal_components_extra ALL
    COMMAND touch ${extra_components_SRCS}
    WORKING_DIRECTORY ${PROJECT_SOURCE_DIR}/interface/mmal/components)

set(container_libs ${container_libs} containers)

target_link_libraries(mmal_components ${container_libs} mmal_util)
target_link_libraries(mmal_components mmal_core)

install(TARGETS mmal_components DESTINATION lib)

=== interface/mmal/core/CMakeLists.txt ===
add_library (mmal_core ${LIBRARY_TYPE}
   mmal_format.c
   mmal_port.c
   mmal_port_clock.c
   mmal_component.c
   mmal_buffer.c
   mmal_queue.c
   mmal_pool.c
   mmal_events.c
   mmal_logging.c
   mmal_clock.c
)

target_link_libraries (mmal_core vcos mmal_vc_client)

install(TARGETS mmal_core DESTINATION lib)
install(FILES
   mmal_buffer_private.h
   mmal_clock_private.h
   mmal_component_private.h
   mmal_core_private.h
   mmal_port_private.h
   mmal_events_private.h
   DESTINATION include/interface/mmal/core
)

=== interface/mmal/vc/CMakeLists.txt ===
add_definitions(-DENABLE_MMAL_VCSM)

add_library(mmal_vc_client ${LIBRARY_TYPE} mmal_vc_client.c mmal_vc_shm.c mmal_vc_api.c mmal_vc_opaque_alloc.c mmal_vc_msgnames.c mmal_vc_api_drm.c)
#target_link_libraries(mmal_vc_client vchiq_arm vcos)

target_link_libraries(mmal_vc_client vchiq_arm vcos vcsm)

if(BUILD_MMAL_APPS)
add_executable(mmal_vc_diag mmal_vc_diag.c)
target_link_libraries(mmal_vc_diag mmal mmal_vc_client debug_sym vcos)
install(TARGETS mmal_vc_diag RUNTIME DESTINATION bin)
endif(BUILD_MMAL_APPS)

include_directories ( ../../../host_applications/linux/libs/sm )

install(TARGETS mmal_vc_client DESTINATION lib)
install(FILES
   mmal_vc_api.h
   mmal_vc_api_drm.h
   mmal_vc_client_priv.h
   mmal_vc_msgnames.h
   mmal_vc_msgs.h
   mmal_vc_opaque_alloc.h
   mmal_vc_shm.h
   DESTINATION include/interface/mmal/vc
)

=== interface/vcos/pthreads/CMakeLists.txt ===
# MSVC5 does not fully support C99, enabling declaration-after-statement
# warnings allows a common MSVC5 build error to be detected in Linux builds.
if (CMAKE_COMPILER_IS_GNUCC)
   set (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -Werror -Wdeclaration-after-statement")
   add_definitions (-D_GNU_SOURCE)
endif ()

set (HEADERS
   vcos_platform.h
   vcos_platform_types.h
)

foreach (header ${HEADERS})
   configure_file ("${header}" "${VCOS_HEADERS_BUILD_DIR}/${header}" COPYONLY)
endforeach ()

add_subdirectory (../generic generic)

set (SOURCES
   vcos_pthreads.c
   vcos_dlfcn.c
   ../glibc/vcos_backtrace.c
   ../generic/vcos_generic_event_flags.c
   ../generic/vcos_mem_from_malloc.c
   ../generic/vcos_generic_named_sem.c
   ../generic/vcos_generic_safe_string.c
   ../generic/vcos_generic_reentrant_mtx.c
   ../generic/vcos_abort.c
   ../generic/vcos_cmd.c
   ../generic/vcos_init.c
   ../generic/vcos_msgqueue.c
   ../generic/vcos_logcat.c
   ../generic/vcos_generic_blockpool.c
)

if (VCOS_PTHREADS_BUILD_SHARED)
   add_library (vcos SHARED ${SOURCES})
   target_link_libraries (vcos pthread dl rt)
else ()
   add_library (vcos ${SOURCES})
   target_link_libraries (vcos pthread rt)
endif ()


#install(FILES ${HEADERS} DESTINATION include)
install(TARGETS vcos DESTINATION lib)

=== host_applications/android/apps/vidtex/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)

SET(COMPILE_DEFINITIONS -Werror -Wall)

# Set --no-as-needed to stop the linker discarding mmal_vc_client
# as it can't see that the constructor registers a load of functionality
# with the MMAL core.
SET( CMAKE_EXE_LINKER_FLAGS "-Wl,--no-as-needed" )

include_directories(${PROJECT_SOURCE_DIR}/host_applications/linux/libs/bcm_host/include)

set (VIDTEX_SOURCES
   main.c
   launcher_rpi.c
   svp.c
   vidtex.c)
add_executable(vidtex ${VIDTEX_SOURCES})
target_link_libraries(vidtex GLESv2 EGL m bcm_host mmal_core mmal_components mmal_util mmal_vc_client vcos)

=== debian/changelog ===
raspberrypi-userland (0~20230913+gitcc1ca18-0ubuntu2) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 18:18:12 +0200

raspberrypi-userland (0~20230913+gitcc1ca18-0ubuntu1) mantic; urgency=medium

  [ Juerg Haefliger ]
  * Bump to current version on Raspberry Pi OS Bookworm (LP: #2035371)

  [ Dave Jones ]
  * Bump standards version; updated lintian overrides

 -- Juerg Haefliger <juerg.haefliger@canonical.com>  Wed, 13 Sep 2023 16:05:12 +0200

raspberrypi-userland (0~20220324+gitc4fd1b8-0ubuntu1) kinetic; urgency=medium

  * Bump to current version on RaspiOS Bullseye
  * Fix lintian-overrides to use arch-specific flags, ensuring both the armhf
    and arm64 versions can be simultaneously installed (LP: #1973285)
  * Fix Multi-Arch spec on libraspberrypi-bin and libraspberrypi-dev
  * d/libraspberrypi0.symbols.* add Build-Depends-Package
  * Don't embed Vera.ttf in libraspberrypi-dev examples; symlink to the one
    from ttf-bitstream-vera and Suggest: that package instead
  * Ensure examples in libraspberrypi-dev are not compressed

 -- Dave Jones <dave.jones@canonical.com>  Thu, 26 May 2022 14:22:37 +0100

=== debian/control ===
Source: raspberrypi-userland
Priority: optional
XSBC-Original-Maintainer: Serge Schneider <serge@raspberrypi.org>
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends:
  debhelper (>= 13),
  cmake,
  linux-libc-dev,
  libgps-dev,
  pkg-config
Standards-Version: 4.6.2
Section: libs
Homepage: https://github.com/raspberrypi/userland

Package: libraspberrypi0
Architecture: armhf arm64
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: EGL/GLES/OpenVG/etc libraries for the Raspberry Pi's VideoCore IV
 This package contains implementations of EGL, OpenGL ES, OpenVG, OpenWF
 Composition, and others for the Raspberry Pi's VideoCore IV multimedia
 processor.

Package: libraspberrypi-dev
Section: libdevel
Architecture: armhf arm64
Multi-Arch: same
Depends: libraspberrypi0 (= ${binary:Version}), ${misc:Depends}
Suggests: ttf-bitstream-vera
Description: EGL/GLES/OpenVG/etc libraries for the Raspberry Pi's VideoCore IV (headers)
 This package contains headers, example code, and other development files for
 implementations of EGL, OpenGL ES, OpenVG, OpenWF Composition, and others for
 the Raspberry Pi's VideoCore IV multimedia processor.

Package: libraspberrypi-bin
Section: misc
Architecture: armhf arm64
Multi-Arch: foreign
Depends:
 libraspberrypi0 (= ${binary:Version}),
 ${shlibs:Depends},
 ${misc:Depends},
 device-tree-compiler,
Suggests: libgps-dev
Description: Miscellaneous Raspberry Pi utilities
 This package contains various utilities for interacting with the Raspberry
 Pi's VideoCore IV.

## raspberrypi-userland 2+git20211125~155417+14b90ff

=== linux/apps/hello_pi/hello_tiger/Makefile ===
OBJS=main.o tiger.o
BIN=hello_tiger.bin

LDFLAGS+= -lrevision
CFLAGS+=-D__RASPBERRYPI__

include ../Makefile.include

=== debian/changelog ===
raspberrypi-userland (1:2+git20211125~155417+14b90ff-3+parrot1) lory; urgency=medium

  * Rebuild for Parrot 6.0.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Fri, 08 Sep 2023 16:56:55 +0200

raspberrypi-userland (1:2+git20211125~155417+14b90ff-3+kali3) kali-dev; urgency=medium

  * Add d/watch to check for updates.
  * Disable CI builds for amd64 and i386.
  * Update standards version to 4.6.2, no changes needed.
  * Prepare for Release

 -- Steev Klimaszewski <steev@kali.org>  Thu, 09 Feb 2023 15:16:03 -0600

raspberrypi-userland (1:2+git20211125~155417+14b90ff-3+kali2) kali-experimental; urgency=medium

  * No "Architecture: all" binary packages

 -- Arnaud Rebillout <arnaudr@kali.org>  Tue, 08 Mar 2022 21:51:41 +0700

raspberrypi-userland (1:2+git20211125~155417+14b90ff-3+kali1) kali-experimental; urgency=medium

  [ Carsten Boeving ]
  * Import package into Kali
  * Update Maintainer field
  * Update Vcs-* fields
  * Add GitLab's CI configuration file
  * Configure git-buildpackage for Kali
  * Add armel as architecture
  * Depend on kalipi-bootloader instead of raspberrypi-*

  [ Arnaud Rebillout ]
  * Add a debian/copyright file

 -- Arnaud Rebillout <arnaudr@kali.org>  Tue, 08 Mar 2022 11:26:20 +0700

raspberrypi-userland (1:2+git20211125~155417+14b90ff-3) bullseye; urgency=medium

  * Build with NDEBUG

 -- Serge Schneider <serge@raspberrypi.com>  Tue, 18 Jan 2022 15:15:43 +0000

raspberrypi-userland (1:2+git20211125~155417+14b90ff-2) bullseye; urgency=medium

  * Mark libraspberrypi0 Multi-Arch: same

 -- Serge Schneider <serge@raspberrypi.com>  Thu, 02 Dec 2021 14:47:34 +0000

raspberrypi-userland (1:2+git20211125~155417+14b90ff-1) bullseye; urgency=medium

  * Update to 14b90ff

 -- Serge Schneider <serge@raspberrypi.com>  Mon, 29 Nov 2021 14:46:13 +0000

raspberrypi-userland (1:2+git20210928~141951+6e8f786-3) bullseye; urgency=medium

  * Re-enable raspicam

 -- Serge Schneider <serge@raspberrypi.com>  Thu, 18 Nov 2021 15:29:42 +0000

raspberrypi-userland (1:2+git20210928~141951+6e8f786-2) bullseye; urgency=medium

  * Install udev rule through dh_installudev
  * Update vcio and vchiq udev rules

 -- Serge Schneider <serge@raspberrypi.com>  Tue, 12 Oct 2021 16:30:26 +0100

raspberrypi-userland (1:2+git20210928~141951+6e8f786-1) bullseye; urgency=medium

  * Re-add tvservice
  * New upstream version

 -- Serge Schneider <serge@raspberrypi.com>  Tue, 28 Sep 2021 15:53:06 +0100

raspberrypi-userland (1:2+git20210719~113532+97bc818-6) bullseye; urgency=medium

  * Change vcdbg to recommends

 -- Serge Schneider <serge@raspberrypi.com>  Mon, 13 Sep 2021 19:13:07 +0100

raspberrypi-userland (1:2+git20210719~113532+97bc818-5) bullseye; urgency=medium

  * Install manpages

 -- Serge Schneider <serge@raspberrypi.com>  Mon, 13 Sep 2021 15:34:46 +0100

raspberrypi-userland (1:2+git20210719~113532+97bc818-4) bullseye; urgency=medium

  * Add vcdbg dependency to libraspberrypi-bin

 -- Serge Schneider <serge@raspberrypi.com>  Mon, 13 Sep 2021 14:59:26 +0100

raspberrypi-userland (1:2+git20210719~113532+97bc818-3) bullseye; urgency=medium

  * Remove legacy interfaces

 -- Serge Schneider <serge@raspberrypi.com>  Wed, 08 Sep 2021 15:50:51 +0100

raspberrypi-userland (1:2+git20210719~113532+97bc818-2) bullseye; urgency=medium

  * Release for bullseye

 -- Serge Schneider <serge@raspberrypi.com>  Tue, 07 Sep 2021 16:53:22 +0100

raspberrypi-userland (2+git20210719~113532+97bc818-1) buster; urgency=medium

  * Update from master

 -- Serge Schneider <serge@raspberrypi.com>  Mon, 19 Jul 2021 12:36:24 +0100

raspberrypi-userland (2+git20201022~151804+e432bc3-1) buster; urgency=medium

  * Update from master

 -- Serge Schneider <serge@raspberrypi.com>  Thu, 22 Oct 2020 16:58:12 +0100

raspberrypi-userland (2+git20200813~095940+f73fca0-1) buster; urgency=medium

  * Update from master

 -- Serge Schneider <serge@raspberrypi.com>  Thu, 13 Aug 2020 12:51:56 +0100

raspberrypi-userland (2+git20200520~143707+2fe4ca3-2) buster; urgency=medium

  * Remove GL headers from arm64 builds

 -- Serge Schneider <serge@raspberrypi.com>  Thu, 28 May 2020 21:27:16 +0100

raspberrypi-userland (2+git20200520~143707+2fe4ca3-1) buster; urgency=medium

  * Initial release

 -- Serge Schneider <serge@raspberrypi.org>  Fri, 21 Feb 2020 15:32:40 +0000

=== debian/control ===
Source: raspberrypi-userland
Section: devel
Priority: optional
XSBC-Original-Maintainer: Serge Schneider <serge@raspberrypi.org>
Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Build-Depends: debhelper (>= 11), cmake, pkg-config, libegl-dev, libgles-dev
Standards-Version: 4.6.2
Homepage: https://github.com/raspberrypi/userland
XS-Raspberry-Vcs-Git: https://github.com/RPi-Distro/userland.git
XS-Raspberry-Vcs-Browser: https://github.com/RPi-Distro/userland

Package: libraspberrypi0
Section: libs
Architecture: armel armhf arm64
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Libraries for the Raspberry Pi's VideoCore IV
 This package contains MMAL and other libraries for the Raspberry Pi's
 VideoCore IV multimedia processor.

Package: libraspberrypi-dev
Section: libdevel
Architecture: armel armhf arm64
Depends: libraspberrypi0 (= ${binary:Version}), ${misc:Depends}
Description: Libraries for the Raspberry Pi's VideoCore IV (headers)
 This package contains headers and other development files for MMAL and other
 libraries for the Raspberry Pi's VideoCore IV multimedia processor.

Package: libraspberrypi-doc
Section: libdevel
Architecture: armel armhf arm64
Depends: libraspberrypi-dev (>= ${source:Version}), ${misc:Depends}
Description: Libraries for the Raspberry Pi's VideoCore IV (docs)
 This package contains headers and other development files for MMAL and other
 libraries for the Raspberry Pi's VideoCore IV multimedia processor.

Package: libraspberrypi-bin
Section: misc
Architecture: armel armhf arm64 
Depends: libraspberrypi0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends},
 device-tree-compiler
Recommends: vcdbg [armhf]
Description: Miscellaneous Raspberry Pi utilities
 This package contains various utilities for interacting with the Raspberry
 Pi's VideoCore IV.

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/architecture.mk

export DEB_CFLAGS_MAINT_APPEND = -DNDEBUG

ifeq ($(DEB_HOST_ARCH),armhf)
	ARM64 = OFF
else ifeq ($(DEB_HOST_ARCH),armel)
	ARM64 = OFF
else ifeq ($(DEB_HOST_ARCH),arm64)
	ARM64 = ON
else
	$(error Unsupported architecture $(DEB_HOST_ARCH))
endif

%:
	dh $@

override_dh_installudev:
	dh_installudev --name=local-rpi --priority=10

override_dh_auto_clean:
	rm -rf build/
	dh_auto_clean

override_dh_auto_configure:
	dh_auto_configure -- -DARM64=$(ARM64)

=== debian/watch ===
version=4
opts=mode=git,pgpmode=none,pretty=2+git%cd.%h \
  https://github.com/raspberrypi/userland HEAD
# Use the following when upstream starts to tag releases:
#opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
#  https://github.com/raspberrypi/userland/tags \
#  (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@

## raspberrypi-userland 2+git20231018~131943+3c97f76

=== debian/changelog ===
raspberrypi-userland (1:2+git20231018~131943+3c97f76-1) bookworm; urgency=medium

  [ Phil Elwell ]
  * dtoverlay: Support literal assignments of path strings
  * dtoverlay: Add dtoverlay_first/next_subnode
  * dtoverlay: Support bcm2712 as a platform

  [ Dom Cobley ]
  * bcm_host: Update kms/fkms check for pi5

  [ Tim Gover ]
  * Assorted clang static analysis fixes

  [ Phil Elwell ]
  * userland: dtoverlay: /boot/firmware is a valid path

 -- Serge Schneider <serge@raspberrypi.com>  Thu, 19 Oct 2023 16:39:52 +0100

raspberrypi-userland (1:2+git20230913~095424+44a3953-1) bookworm; urgency=medium

  [ Simon Kadisch ]
  * raspivid: Also flush PTS file if flush is enabled

  [ Serge Schneider ]
  * Disable tvservice

 -- Serge Schneider <serge@raspberrypi.com>  Wed, 27 Sep 2023 23:25:15 +0100

raspberrypi-userland (1:2+git20230420~133613+cc1ca18-1) bookworm; urgency=medium

  [ Phil Elwell ]
  * userland: dtoverlay: Use os_prefix if set

  [ Serge Schneider ]
  * Disable MMAL and raspicam completly

 -- Serge Schneider <serge@raspberrypi.com>  Wed, 24 May 2023 17:20:34 +0100

raspberrypi-userland (1:2+git20230322~143557+9d5250f-1) bullseye; urgency=medium

  * Update to 9d5250f

 -- Serge Schneider <serge@raspberrypi.com>  Wed, 22 Mar 2023 17:33:47 +0000

raspberrypi-userland (1:2+git20220616~133208+6e8f786-1) bullseye; urgency=medium

  * Update to 6e8f786
  * Remove dtmerge in favour of raspi-utils version
    - https://github.com/raspberrypi/utils

 -- Serge Schneider <serge@raspberrypi.com>  Mon, 23 Jan 2023 14:50:11 +0000

raspberrypi-userland (1:2+git20220324~090146+c4fd1b8-1) bullseye; urgency=medium

  * Update to c4fd1b8
  * Add basic bash completion for vcgencmd

 -- Serge Schneider <serge@raspberrypi.com>  Mon, 11 Apr 2022 18:32:06 +0100

=== debian/control ===
Source: raspberrypi-userland
Section: devel
Priority: optional
Maintainer: Serge Schneider <serge@raspberrypi.org>
Build-Depends: debhelper (>= 11), cmake, pkg-config, libegl-dev, libgles-dev, bash-completion
Standards-Version: 4.1.3
Homepage: https://github.com/raspberrypi/userland
Vcs-Git: https://github.com/RPi-Distro/userland.git
Vcs-Browser: https://github.com/RPi-Distro/userland

Package: libraspberrypi0
Section: libs
Architecture: armhf arm64
Multi-Arch: same
Depends: raspberrypi-bootloader | raspi-firmware, ${shlibs:Depends}, ${misc:Depends}
Description: Libraries for the Raspberry Pi's VideoCore IV
 This package contains libraries for the Raspberry Pi's
 VideoCore IV multimedia processor.

Package: libraspberrypi-dev
Section: libdevel
Architecture: armhf arm64
Depends: libraspberrypi0 (= ${binary:Version}), ${misc:Depends}
Description: Libraries for the Raspberry Pi's VideoCore IV (headers)
 This package contains headers and other development files for the Raspberry Pi's
 VideoCore IV multimedia processor.

Package: libraspberrypi-doc
Section: libdevel
Architecture: all
Depends: libraspberrypi-dev (>= ${source:Version}), ${misc:Depends}
Description: Libraries for the Raspberry Pi's VideoCore IV (docs)
 This package contains headers and other development files for the Raspberry Pi's
 VideoCore IV multimedia processor.

Package: libraspberrypi-bin
Section: misc
Architecture: armhf arm64 
Depends: libraspberrypi0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends},
 device-tree-compiler
Breaks: raspi-utils (<< 20230123-1)
Recommends: vcdbg [armhf]
Description: Miscellaneous Raspberry Pi utilities
 This package contains various utilities for interacting with the Raspberry
 Pi's VideoCore IV.

=== debian/rules ===
--- 
+++ 
@@ -4,8 +4,6 @@
 export DEB_CFLAGS_MAINT_APPEND = -DNDEBUG
 
 ifeq ($(DEB_HOST_ARCH),armhf)
-	ARM64 = OFF
-else ifeq ($(DEB_HOST_ARCH),armel)
 	ARM64 = OFF
 else ifeq ($(DEB_HOST_ARCH),arm64)
 	ARM64 = ON
@@ -14,7 +12,7 @@
 endif
 
 %:
-	dh $@
+	dh $@ --with bash-completion
 
 override_dh_installudev:
 	dh_installudev --name=local-rpi --priority=10
